require 'spec_helper'

describe SimpleHtml do
  it 'has a version number' do
    expect(SimpleHtml::VERSION).not_to be nil
  end

  describe SimpleHtml::Tag do
    describe "#to_html" do
      it "generates HTML for header level 1" do
        tag = SimpleHtml::Tag.new("h1", "Hello world")
        expect(tag.to_html).to eq("<h1>Hello world</h1>")
      end

      it "generates HTML for anchor" do
        tag = SimpleHtml::Tag.new("a", "Le Wagon", href: "http://www.lewagon.org")
        expect(tag.to_html).to eq('<a href="http://www.lewagon.org">Le Wagon</a>')
      end

      it "does not depend on attributes order" do
        tag_class_after = SimpleHtml::Tag.new("a", "Le Wagon", href: "http://www.lewagon.org", class: 'btn').to_html
        tag_class_before = SimpleHtml::Tag.new("a", "Le Wagon", class: 'btn', href: "http://www.lewagon.org").to_html
        expect(tag_class_after).to eq(tag_class_before)
      end
    end
  end
end
